2019-12-10 13:50 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000183FSSCPHT&Lpublic2007-03-23 04:21
ReporterRandomTiger 
Assigned Totaylor 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.5 
Summary0000183: Warp 'face' should be rendered in 3D unlit instead of in 2D
DescriptionThe warp 'face' is the main part of the effect that creates a textured circle of ripples. (The other part is the focus which should be rendered like a particle).

warpineffect.cpp

void draw_face( vertex *v1, vertex *v2, vertex *v3 )

g3_draw_poly( 3, vertlist, TMAP_FLAG_TEXTURED

should be

g3_draw_poly( 3, vertlist, TMAP_FLAG_TEXTURED | TMAP_HTL_3D_UNLIT);

But it also needs to be transformed to the correct location by the looks of it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001021

taylor (administrator)

Done. I've got a few updates to commit before the week is over so I'll add this one to the list.
+Notes

-Issue History
Date Modified Username Field Change
2004-05-03 07:34 RandomTiger New Issue
2004-05-03 07:34 RandomTiger Summary Warp 'face' should be rendered in 3D unlit instead of 3D => Warp 'face' should be rendered in 3D unlit instead of in 2D
2004-06-29 11:22 taylor Status new => resolved
2004-06-29 11:22 taylor Resolution open => fixed
2004-06-29 11:22 taylor Assigned To => taylor
2004-06-29 11:22 taylor Note Added: 0001021
2007-03-23 04:21 taylor Status resolved => closed
2007-03-23 04:21 taylor Fixed in Version => 3.6.5
+Issue History